ZIP_FREAD(3) | Library Functions Manual | ZIP_FREAD(3)

# NAME

`zip_fread` —
read from file

# LIBRARY

libzip (-lzip)

# SYNOPSIS

`#include <zip.h>`

zip_int64_t
`zip_fread`(zip_file_t *file, void *buf, zip_uint64_t nbytes);

# DESCRIPTION

The `zip_fread`() function reads at most nbytes bytes from file into buf.

# RETURN VALUES

If successful, the number of bytes actually read is returned. Otherwise, -1 is returned.

# SEE ALSO

libzip(3), zip_fclose(3), zip_fopen(3), zip_fseek(3)

# HISTORY

`zip_fread`() was added in libzip 0.6. In libzip 0.10 the return type was changed from ssize_t to zip_int64_t. In libzip 0.10 the type of nbytes was changed from size_t to zip_uint64_t.

# AUTHORS

Dieter Baron <dillo@nih.at> and Thomas Klausner <tk@giga.or.at>

December 18, 2017 | NetBSD 8.99.35